fi
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
-echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
-# On Suns, sometimes $CPP names a directory.
-if test -n "$CPP" && test -d "$CPP"; then
- CPP=
-fi
-if test -z "$CPP"; then
- if test "${ac_cv_prog_CPP+set}" = set; then
+if test "x$enable_server" = "xyes"
+then
+ echo "$as_me:$LINENO: checking for library containing pthread_create" >&5
+echo $ECHO_N "checking for library containing pthread_create... $ECHO_C" >&6
+if test "${ac_cv_search_pthread_create+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- # Double quotes because CPP needs to be expanded
- for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
- do
- ac_preproc_ok=false
-for ac_c_preproc_warn_flag in '' yes
-do
- # Use a header file that comes with gcc, so configuring glibc
- # with a fresh cross-compiler works.
- # On the NeXT, cc -E runs the code through the compiler's parser,
- # not just through cpp. "Syntax error" is here to catch this case.
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <assert.h>
- Syntax error
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- :
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- # Broken: fails on valid input.
-continue
-fi
-rm -f conftest.err conftest.$ac_ext
-
- # OK, works on sane cases. Now check whether non-existent headers
- # can be detected and how.
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <ac_nonexistent.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- # Broken: success on invalid input.
-continue
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- # Passes both tests.
-ac_preproc_ok=:
-break
-fi
-rm -f conftest.err conftest.$ac_ext
-
-done
-# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
-rm -f conftest.err conftest.$ac_ext
-if $ac_preproc_ok; then
- break
-fi
-
- done
- ac_cv_prog_CPP=$CPP
-
-fi
- CPP=$ac_cv_prog_CPP
-else
- ac_cv_prog_CPP=$CPP
-fi
-echo "$as_me:$LINENO: result: $CPP" >&5
-echo "${ECHO_T}$CPP" >&6
-ac_preproc_ok=false
-for ac_c_preproc_warn_flag in '' yes
-do
- # Use a header file that comes with gcc, so configuring glibc
- # with a fresh cross-compiler works.
- # On the NeXT, cc -E runs the code through the compiler's parser,
- # not just through cpp. "Syntax error" is here to catch this case.
- cat >conftest.$ac_ext <<_ACEOF
+ ac_func_search_save_LIBS=$LIBS
+ac_cv_search_pthread_create=no
+cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-#include <assert.h>
- Syntax error
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- :
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- # Broken: fails on valid input.
-continue
-fi
-rm -f conftest.err conftest.$ac_ext
- # OK, works on sane cases. Now check whether non-existent headers
- # can be detected and how.
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <ac_nonexistent.h>
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char pthread_create ();
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+pthread_create ();
+ ;
+ return 0;
+}
_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- # Broken: success on invalid input.
-continue
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- # Passes both tests.
-ac_preproc_ok=:
-break
-fi
-rm -f conftest.err conftest.$ac_ext
-
-done
-# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
-rm -f conftest.err conftest.$ac_ext
-if $ac_preproc_ok; then
- :
-else
- { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check" >&5
-echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
- { (exit 1); exit 1; }; }
-fi
-
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
-
-
-echo "$as_me:$LINENO: checking for ANSI C header files" >&5
-echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
-if test "${ac_cv_header_stdc+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <stdlib.h>
-#include <stdarg.h>
-#include <string.h>
-#include <float.h>
-
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_cv_header_stdc=yes
+ (exit $ac_status); }; }; then
+ ac_cv_search_pthread_create="none required"
else
echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_header_stdc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-
-if test $ac_cv_header_stdc = yes; then
- # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <string.h>
-
-_ACEOF
-if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- egrep "memchr" >/dev/null 2>&1; then
- :
-else
- ac_cv_header_stdc=no
-fi
-rm -f conftest*
-
+cat conftest.$ac_ext >&5
fi
-
-if test $ac_cv_header_stdc = yes; then
- # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
- cat >conftest.$ac_ext <<_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+if test "$ac_cv_search_pthread_create" = no; then
+ for ac_lib in pthread; do
+ LIBS="-l$ac_lib $ac_func_search_save_LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-#include <stdlib.h>
-
-_ACEOF
-if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- egrep "free" >/dev/null 2>&1; then
- :
-else
- ac_cv_header_stdc=no
-fi
-rm -f conftest*
-
-fi
-if test $ac_cv_header_stdc = yes; then
- # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
- if test "$cross_compiling" = yes; then
- :
-else
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <ctype.h>
-#if ((' ' & 0x0FF) == 0x020)
-# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
-# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
-#else
-# define ISLOWER(c) (('a' <= (c) && (c) <= 'i') \
- || ('j' <= (c) && (c) <= 'r') \
- || ('s' <= (c) && (c) <= 'z'))
-# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char pthread_create ();
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
#endif
-
-#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int
main ()
{
- int i;
- for (i = 0; i < 256; i++)
- if (XOR (islower (i), ISLOWER (i))
- || toupper (i) != TOUPPER (i))
- exit(2);
- exit (0);
+pthread_create ();
+ ;
+ return 0;
}
_ACEOF
-rm -f conftest$ac_exeext
+rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- :
+ ac_cv_search_pthread_create="-l$ac_lib"
+break
else
- echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
+ echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-( exit $ac_status )
-ac_cv_header_stdc=no
-fi
-rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ done
fi
+LIBS=$ac_func_search_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
-echo "${ECHO_T}$ac_cv_header_stdc" >&6
-if test $ac_cv_header_stdc = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define STDC_HEADERS 1
-_ACEOF
+echo "$as_me:$LINENO: result: $ac_cv_search_pthread_create" >&5
+echo "${ECHO_T}$ac_cv_search_pthread_create" >&6
+if test "$ac_cv_search_pthread_create" != no; then
+ test "$ac_cv_search_pthread_create" = "none required" || LIBS="$ac_cv_search_pthread_create $LIBS"
fi
-# On IRIX 5.3, sys/types and inttypes.h are conflicting.
-
-
-
-
-
-
-
-
+ if test "x$ac_cv_search_pthread_create" = "xno"
+ then
+ LDFLAGS="-mthreads $LDFLAGS"
-for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
- inttypes.h stdint.h unistd.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+echo "$as_me:$LINENO: checking for PTHREAD_pthread_create in -lcompat" >&5
+echo $ECHO_N "checking for PTHREAD_pthread_create in -lcompat... $ECHO_C" >&6
+if test "${ac_cv_lib_compat_PTHREAD_pthread_create+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- cat >conftest.$ac_ext <<_ACEOF
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lcompat $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-$ac_includes_default
-#include <$ac_header>
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char PTHREAD_pthread_create ();
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+PTHREAD_pthread_create ();
+ ;
+ return 0;
+}
_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
+ { ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- eval "$as_ac_Header=yes"
+ ac_cv_lib_compat_PTHREAD_pthread_create=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-eval "$as_ac_Header=no"
+ac_cv_lib_compat_PTHREAD_pthread_create=no
fi
-rm -f conftest.$ac_objext conftest.$ac_ext
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_lib_compat_PTHREAD_pthread_create" >&5
+echo "${ECHO_T}$ac_cv_lib_compat_PTHREAD_pthread_create" >&6
+if test $ac_cv_lib_compat_PTHREAD_pthread_create = yes; then
cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+#define HAVE_LIBCOMPAT 1
_ACEOF
-fi
-
-done
-
-
-
-
-#
-# Enabling all correct header file and library checks to include param
-#
+ LIBS="-lcompat $LIBS"
-#
-# First see if we need pthread extension for our libraries ...
-#
-if test "x" = "xpthread"
-then
- pthread="_p"
else
- pthread=""
+ { { echo "$as_me:$LINENO: error: No multithreading available" >&5
+echo "$as_me: error: No multithreading available" >&2;}
+ { (exit 1); exit 1; }; }
fi
-#
-# Give us te checking output
-#
-echo "$as_me:$LINENO: checking whether param source $enable_paramsrc is valid" >&5
-echo $ECHO_N "checking whether param source $enable_paramsrc is valid... $ECHO_C" >&6
-
-if test "x$enable_paramsrc" = "xca"
-then
-#
-# ca, so we need -lCom, -lca, -lcaParam / -lcaParam_p
-#
+ fi
-echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
#
# This is a weird method to check the epics version, but ask them for
fi
-echo "$as_me:$LINENO: checking for library containing Tcl_CreateInterp" >&5
-echo $ECHO_N "checking for library containing Tcl_CreateInterp... $ECHO_C" >&6
-if test "${ac_cv_search_Tcl_CreateInterp+set}" = set; then
+
+ echo "$as_me:$LINENO: checking for library containing getprotobyname" >&5
+echo $ECHO_N "checking for library containing getprotobyname... $ECHO_C" >&6
+if test "${ac_cv_search_getprotobyname+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_func_search_save_LIBS=$LIBS
-ac_cv_search_Tcl_CreateInterp=no
+ac_cv_search_getprotobyname=no
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char Tcl_CreateInterp ();
+char getprotobyname ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-Tcl_CreateInterp ();
+getprotobyname ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_Tcl_CreateInterp="none required"
+ ac_cv_search_getprotobyname="none required"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_Tcl_CreateInterp" = no; then
- for ac_lib in tcl tcl8.3 tcl8.2 tcl8.0 tcl7.4; do
+if test "$ac_cv_search_getprotobyname" = no; then
+ for ac_lib in netinet; do
+ LIBS="-l$ac_lib $ac_func_search_save_LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char getprotobyname ();
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+getprotobyname ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_search_getprotobyname="-l$ac_lib"
+break
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ done
+fi
+LIBS=$ac_func_search_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_search_getprotobyname" >&5
+echo "${ECHO_T}$ac_cv_search_getprotobyname" >&6
+if test "$ac_cv_search_getprotobyname" != no; then
+ test "$ac_cv_search_getprotobyname" = "none required" || LIBS="$ac_cv_search_getprotobyname $LIBS"
+
+fi
+
+ echo "$as_me:$LINENO: checking for library containing syslog" >&5
+echo $ECHO_N "checking for library containing syslog... $ECHO_C" >&6
+if test "${ac_cv_search_syslog+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_func_search_save_LIBS=$LIBS
+ac_cv_search_syslog=no
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char syslog ();
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+syslog ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_search_syslog="none required"
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+if test "$ac_cv_search_syslog" = no; then
+ for ac_lib in netinet; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char Tcl_CreateInterp ();
+char syslog ();
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+syslog ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_search_syslog="-l$ac_lib"
+break
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ done
+fi
+LIBS=$ac_func_search_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_search_syslog" >&5
+echo "${ECHO_T}$ac_cv_search_syslog" >&6
+if test "$ac_cv_search_syslog" != no; then
+ test "$ac_cv_search_syslog" = "none required" || LIBS="$ac_cv_search_syslog $LIBS"
+
+fi
+
+
+echo "$as_me:$LINENO: checking for SYSLOG_syslog in -lcompat" >&5
+echo $ECHO_N "checking for SYSLOG_syslog in -lcompat... $ECHO_C" >&6
+if test "${ac_cv_lib_compat_SYSLOG_syslog+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lcompat $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char SYSLOG_syslog ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-Tcl_CreateInterp ();
+SYSLOG_syslog ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_Tcl_CreateInterp="-l$ac_lib"
-break
+ ac_cv_lib_compat_SYSLOG_syslog=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
+ac_cv_lib_compat_SYSLOG_syslog=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- done
-fi
-LIBS=$ac_func_search_save_LIBS
+LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_search_Tcl_CreateInterp" >&5
-echo "${ECHO_T}$ac_cv_search_Tcl_CreateInterp" >&6
-if test "$ac_cv_search_Tcl_CreateInterp" != no; then
- test "$ac_cv_search_Tcl_CreateInterp" = "none required" || LIBS="$ac_cv_search_Tcl_CreateInterp $LIBS"
+echo "$as_me:$LINENO: result: $ac_cv_lib_compat_SYSLOG_syslog" >&5
+echo "${ECHO_T}$ac_cv_lib_compat_SYSLOG_syslog" >&6
+if test $ac_cv_lib_compat_SYSLOG_syslog = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBCOMPAT 1
+_ACEOF
+
+ LIBS="-lcompat $LIBS"
fi
-as_ac_Lib=`echo "ac_cv_lib_caParam$pthread''_conSetupParam" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for conSetupParam in -lcaParam$pthread" >&5
-echo $ECHO_N "checking for conSetupParam in -lcaParam$pthread... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Lib+set}\" = set"; then
+
+ if test "x$epics_release" = "x313"
+ then
+ LDFLAGS="-L$with_epics/lib/$HOST_ARCH $LDFLAGS"
+ elif test "x$epics_release" = "x314"
+ then
+ LDFLAGS="-L$with_epics/lib/$EPICS_HOST_ARCH $LDFLAGS"
+ fi
+ LIBS="-lcas -lgdd $LIBS"
+ ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
+echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
+# On Suns, sometimes $CPP names a directory.
+if test -n "$CPP" && test -d "$CPP"; then
+ CPP=
+fi
+if test -z "$CPP"; then
+ if test "${ac_cv_prog_CPP+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-lcaParam$pthread $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
+ # Double quotes because CPP needs to be expanded
+ for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
+ do
+ ac_preproc_ok=false
+for ac_c_preproc_warn_flag in '' yes
+do
+ # Use a header file that comes with gcc, so configuring glibc
+ # with a fresh cross-compiler works.
+ # On the NeXT, cc -E runs the code through the compiler's parser,
+ # not just through cpp. "Syntax error" is here to catch this case.
+ cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
+#include <assert.h>
+ Syntax error
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ :
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ # Broken: fails on valid input.
+continue
+fi
+rm -f conftest.err conftest.$ac_ext
+
+ # OK, works on sane cases. Now check whether non-existent headers
+ # can be detected and how.
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <ac_nonexistent.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ # Broken: success on invalid input.
+continue
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ # Passes both tests.
+ac_preproc_ok=:
+break
+fi
+rm -f conftest.err conftest.$ac_ext
+
+done
+# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
+rm -f conftest.err conftest.$ac_ext
+if $ac_preproc_ok; then
+ break
+fi
+
+ done
+ ac_cv_prog_CPP=$CPP
+
+fi
+ CPP=$ac_cv_prog_CPP
+else
+ ac_cv_prog_CPP=$CPP
+fi
+echo "$as_me:$LINENO: result: $CPP" >&5
+echo "${ECHO_T}$CPP" >&6
+ac_preproc_ok=false
+for ac_c_preproc_warn_flag in '' yes
+do
+ # Use a header file that comes with gcc, so configuring glibc
+ # with a fresh cross-compiler works.
+ # On the NeXT, cc -E runs the code through the compiler's parser,
+ # not just through cpp. "Syntax error" is here to catch this case.
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <assert.h>
+ Syntax error
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ :
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ # Broken: fails on valid input.
+continue
+fi
+rm -f conftest.err conftest.$ac_ext
+
+ # OK, works on sane cases. Now check whether non-existent headers
+ # can be detected and how.
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <ac_nonexistent.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ # Broken: success on invalid input.
+continue
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ # Passes both tests.
+ac_preproc_ok=:
+break
+fi
+rm -f conftest.err conftest.$ac_ext
+
+done
+# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
+rm -f conftest.err conftest.$ac_ext
+if $ac_preproc_ok; then
+ :
+else
+ { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check" >&5
+echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
+ { (exit 1); exit 1; }; }
+fi
+
+ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+
+echo "$as_me:$LINENO: checking for ANSI C header files" >&5
+echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
+if test "${ac_cv_header_stdc+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <stdlib.h>
+#include <stdarg.h>
+#include <string.h>
+#include <float.h>
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char conSetupParam ();
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-conSetupParam ();
- ;
- return 0;
-}
_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_Lib=yes"
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-eval "$as_ac_Lib=no"
+ ac_cpp_err=yes
fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
+if test -z "$ac_cpp_err"; then
+ ac_cv_header_stdc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_cv_header_stdc=no
fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
-if test `eval echo '${'$as_ac_Lib'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_LIBcaParam$pthread" | $as_tr_cpp` 1
-_ACEOF
+rm -f conftest.err conftest.$ac_ext
- LIBS="-lcaParam$pthread $LIBS"
+if test $ac_cv_header_stdc = yes; then
+ # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <string.h>
+_ACEOF
+if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+ egrep "memchr" >/dev/null 2>&1; then
+ :
+else
+ ac_cv_header_stdc=no
fi
+rm -f conftest*
+fi
+if test $ac_cv_header_stdc = yes; then
+ # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <stdlib.h>
-elif test "x$enable_paramsrc" = "xfile"
-then
+_ACEOF
+if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+ egrep "free" >/dev/null 2>&1; then
+ :
+else
+ ac_cv_header_stdc=no
+fi
+rm -f conftest*
-echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+fi
-as_ac_Lib=`echo "ac_cv_lib_fileParam$pthread''_conSetupParam" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for conSetupParam in -lfileParam$pthread" >&5
-echo $ECHO_N "checking for conSetupParam in -lfileParam$pthread... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Lib+set}\" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+if test $ac_cv_header_stdc = yes; then
+ # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
+ if test "$cross_compiling" = yes; then
+ :
else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-lfileParam$pthread $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char conSetupParam ();
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
+#include <ctype.h>
+#if ((' ' & 0x0FF) == 0x020)
+# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
+# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
+#else
+# define ISLOWER(c) (('a' <= (c) && (c) <= 'i') \
+ || ('j' <= (c) && (c) <= 'r') \
+ || ('s' <= (c) && (c) <= 'z'))
+# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
#endif
+
+#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int
main ()
{
-conSetupParam ();
- ;
- return 0;
+ int i;
+ for (i = 0; i < 256; i++)
+ if (XOR (islower (i), ISLOWER (i))
+ || toupper (i) != TOUPPER (i))
+ exit(2);
+ exit (0);
}
_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
+rm -f conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
+ (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- eval "$as_ac_Lib=yes"
+ :
else
- echo "$as_me: failed program was:" >&5
+ echo "$as_me: program exited with status $ac_status" >&5
+echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-eval "$as_ac_Lib=no"
+( exit $ac_status )
+ac_cv_header_stdc=no
+fi
+rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
-if test `eval echo '${'$as_ac_Lib'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_LIBfileParam$pthread" | $as_tr_cpp` 1
-_ACEOF
-
- LIBS="-lfileParam$pthread $LIBS"
-
fi
+echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
+echo "${ECHO_T}$ac_cv_header_stdc" >&6
+if test $ac_cv_header_stdc = yes; then
+cat >>confdefs.h <<\_ACEOF
+#define STDC_HEADERS 1
+_ACEOF
+fi
-elif test "x$enable_paramsrc" = "xora"
-then
+# On IRIX 5.3, sys/types and inttypes.h are conflicting.
-echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-#
-# Zero-order ...
-#
-echo "$as_me:$LINENO: checking whether we have a valid oracle home" >&5
-echo $ECHO_N "checking whether we have a valid oracle home... $ECHO_C" >&6
-if test -d "$with_oracle/"
-then
-LDFLAGS="-L$with_oracle/lib $LDFLAGS"
-echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-else
-echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-{ { echo "$as_me:$LINENO: error: Missing valid Oracle" >&5
-echo "$as_me: error: Missing valid Oracle" >&2;}
- { (exit 1); exit 1; }; }
-fi
-echo "$as_me:$LINENO: checking for library containing sqlcxt" >&5
-echo $ECHO_N "checking for library containing sqlcxt... $ECHO_C" >&6
-if test "${ac_cv_search_sqlcxt+set}" = set; then
+for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
+ inttypes.h stdint.h unistd.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- ac_func_search_save_LIBS=$LIBS
-ac_cv_search_sqlcxt=no
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char sqlcxt ();
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-sqlcxt ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_search_sqlcxt="none required"
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_sqlcxt" = no; then
- for ac_lib in clntsh; do
- LIBS="-l$ac_lib $ac_func_search_save_LIBS"
- cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
+$ac_includes_default
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char sqlcxt ();
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-sqlcxt ();
- ;
- return 0;
-}
+#include <$ac_header>
_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
+ { ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_sqlcxt="-l$ac_lib"
-break
+ eval "$as_ac_Header=yes"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
+eval "$as_ac_Header=no"
fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- done
-fi
-LIBS=$ac_func_search_save_LIBS
+rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:$LINENO: result: $ac_cv_search_sqlcxt" >&5
-echo "${ECHO_T}$ac_cv_search_sqlcxt" >&6
-if test "$ac_cv_search_sqlcxt" != no; then
- test "$ac_cv_search_sqlcxt" = "none required" || LIBS="$ac_cv_search_sqlcxt $LIBS"
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
fi
+done
-as_ac_Lib=`echo "ac_cv_lib_oraParam$pthread''_conSetupParam" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for conSetupParam in -loraParam$pthread" >&5
-echo $ECHO_N "checking for conSetupParam in -loraParam$pthread... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Lib+set}\" = set"; then
+
+if test "${ac_cv_header_aitTypes_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for aitTypes.h" >&5
+echo $ECHO_N "checking for aitTypes.h... $ECHO_C" >&6
+if test "${ac_cv_header_aitTypes_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_aitTypes_h" >&5
+echo "${ECHO_T}$ac_cv_header_aitTypes_h" >&6
else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-loraParam$pthread $LIBS"
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking aitTypes.h usability" >&5
+echo $ECHO_N "checking aitTypes.h usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char conSetupParam ();
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-conSetupParam ();
- ;
- return 0;
-}
+$ac_includes_default
+#include <aitTypes.h>
_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
+ { ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- eval "$as_ac_Lib=yes"
+ ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-eval "$as_ac_Lib=no"
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
+ac_header_compiler=no
fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
-if test `eval echo '${'$as_ac_Lib'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_LIBoraParam$pthread" | $as_tr_cpp` 1
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking aitTypes.h presence" >&5
+echo $ECHO_N "checking aitTypes.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <aitTypes.h>
_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: aitTypes.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: aitTypes.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: aitTypes.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for aitTypes.h" >&5
+echo $ECHO_N "checking for aitTypes.h... $ECHO_C" >&6
+if test "${ac_cv_header_aitTypes_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_aitTypes_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_aitTypes_h" >&5
+echo "${ECHO_T}$ac_cv_header_aitTypes_h" >&6
+
+fi
+if test $ac_cv_header_aitTypes_h = yes; then
+ :
+else
+ { { echo "$as_me:$LINENO: error: Missing header file" >&5
+echo "$as_me: error: Missing header file" >&2;}
+ { (exit 1); exit 1; }; }
+fi
- LIBS="-loraParam$pthread $LIBS"
fi
-elif test "x$enable_paramsrc" = "xtcl"
+#
+# Enabling all correct header file and library checks to include param
+#
+
+#
+# First see if we need pthread extension for our libraries ...
+#
+if test "xpthread" = "xpthread"
+then
+ pthread="_p"
+else
+ pthread=""
+fi
+
+#
+# Give us te checking output
+#
+echo "$as_me:$LINENO: checking whether param source $enable_paramsrc is valid" >&5
+echo $ECHO_N "checking whether param source $enable_paramsrc is valid... $ECHO_C" >&6
+
+if test "x$enable_paramsrc" = "xca"
+then
+#
+# ca, so we need -lCom, -lca, -lcaParam / -lcaParam_p
+#
+
+echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+#
+# This is a weird method to check the epics version, but ask them for
+# a better way ...
+#
+echo "$as_me:$LINENO: checking whether we have a valid epics release" >&5
+echo $ECHO_N "checking whether we have a valid epics release... $ECHO_C" >&6
+
+if test -x "$with_epics/startup/EpicsHostArch"
+then
+epics_release="314"
+
+echo "$as_me:$LINENO: result: $epics_release" >&5
+echo "${ECHO_T}$epics_release" >&6
+cat >>confdefs.h <<\_ACEOF
+#define EPICS_RELEASE 314
+_ACEOF
+
+
+EPICS_HOST_ARCH=$($with_epics/startup/EpicsHostArch)
+HOST_ARCH=$($with_epics/startup/HostArch)
+elif test -x "$with_epics/startup/HostArch"
+then
+epics_release="313"
+
+echo "$as_me:$LINENO: result: $epics_release" >&5
+echo "${ECHO_T}$epics_release" >&6
+cat >>confdefs.h <<\_ACEOF
+#define EPICS_RELEASE 313
+_ACEOF
+
+
+HOST_ARCH=$($with_epics/startup/HostArch)
+else
+
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+{ { echo "$as_me:$LINENO: error: Missing valid EPICS version" >&5
+echo "$as_me: error: Missing valid EPICS version" >&2;}
+ { (exit 1); exit 1; }; }
+
+fi
+
+CPPFLAGS="$CPPFLAGS -I$with_epics/include"
+if test "x$epics_release" = "x314"
then
+LDFLAGS="$LDFLAGS -L$with_epics/lib/$EPICS_HOST_ARCH"
+CPPFLAGS="$CPPFLAGS -I$with_epics/include/os/$HOST_ARCH"
+else
+LDFLAGS="$LDFLAGS -L$with_epics/lib/$HOST_ARCH"
+CPPFLAGS="$CPPFLAGS -I$with_epics/include/os/$HOST_ARCH"
+fi
-echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-echo "$as_me:$LINENO: checking for library containing Tcl_CreateInterp" >&5
-echo $ECHO_N "checking for library containing Tcl_CreateInterp... $ECHO_C" >&6
-if test "${ac_cv_search_Tcl_CreateInterp+set}" = set; then
+echo "$as_me:$LINENO: checking for library containing fdmgr_add_fd" >&5
+echo $ECHO_N "checking for library containing fdmgr_add_fd... $ECHO_C" >&6
+if test "${ac_cv_search_fdmgr_add_fd+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_func_search_save_LIBS=$LIBS
-ac_cv_search_Tcl_CreateInterp=no
+ac_cv_search_fdmgr_add_fd=no
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char Tcl_CreateInterp ();
+char fdmgr_add_fd ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-Tcl_CreateInterp ();
+fdmgr_add_fd ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_Tcl_CreateInterp="none required"
+ ac_cv_search_fdmgr_add_fd="none required"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_Tcl_CreateInterp" = no; then
- for ac_lib in tcl tcl8.3 tcl8.2 tcl8.0 tcl7.4; do
+if test "$ac_cv_search_fdmgr_add_fd" = no; then
+ for ac_lib in Com; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char Tcl_CreateInterp ();
+char fdmgr_add_fd ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-Tcl_CreateInterp ();
+fdmgr_add_fd ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_Tcl_CreateInterp="-l$ac_lib"
+ ac_cv_search_fdmgr_add_fd="-l$ac_lib"
break
else
echo "$as_me: failed program was:" >&5
fi
LIBS=$ac_func_search_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_search_Tcl_CreateInterp" >&5
-echo "${ECHO_T}$ac_cv_search_Tcl_CreateInterp" >&6
-if test "$ac_cv_search_Tcl_CreateInterp" != no; then
- test "$ac_cv_search_Tcl_CreateInterp" = "none required" || LIBS="$ac_cv_search_Tcl_CreateInterp $LIBS"
+echo "$as_me:$LINENO: result: $ac_cv_search_fdmgr_add_fd" >&5
+echo "${ECHO_T}$ac_cv_search_fdmgr_add_fd" >&6
+if test "$ac_cv_search_fdmgr_add_fd" != no; then
+ test "$ac_cv_search_fdmgr_add_fd" = "none required" || LIBS="$ac_cv_search_fdmgr_add_fd $LIBS"
fi
-as_ac_Lib=`echo "ac_cv_lib_tclParam$pthread''_conSetupParam" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for conSetupParam in -ltclParam$pthread" >&5
-echo $ECHO_N "checking for conSetupParam in -ltclParam$pthread... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Lib+set}\" = set"; then
+if test "x$ac_cv_search_fdmgr_add_fd" = "xno"
+then
+ unset ac_cv_search_fdmgr_add_fd
+
+ echo "$as_me:$LINENO: checking for library containing fdmgr_add_fd" >&5
+echo $ECHO_N "checking for library containing fdmgr_add_fd... $ECHO_C" >&6
+if test "${ac_cv_search_fdmgr_add_fd+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltclParam$pthread $LIBS"
+ ac_func_search_save_LIBS=$LIBS
+ac_cv_search_fdmgr_add_fd=no
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char conSetupParam ();
+char fdmgr_add_fd ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-conSetupParam ();
+fdmgr_add_fd ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- eval "$as_ac_Lib=yes"
+ ac_cv_search_fdmgr_add_fd="none required"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-eval "$as_ac_Lib=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
-if test `eval echo '${'$as_ac_Lib'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_LIBtclParam$pthread" | $as_tr_cpp` 1
-_ACEOF
-
- LIBS="-ltclParam$pthread $LIBS"
-
-fi
-
-
-
-else
-
-echo "$as_me:$LINENO: result: invalid param source $enable_paramsrc" >&5
-echo "${ECHO_T}invalid param source $enable_paramsrc" >&6
-{ { echo "$as_me:$LINENO: error: cannot get parameter source for pas and test program" >&5
-echo "$as_me: error: cannot get parameter source for pas and test program" >&2;}
- { (exit 1); exit 1; }; }
-
-fi
-#
-# Last but not least we need the header file ...
-#
-
-if test "${ac_cv_header_allParam_h+set}" = set; then
- echo "$as_me:$LINENO: checking for allParam.h" >&5
-echo $ECHO_N "checking for allParam.h... $ECHO_C" >&6
-if test "${ac_cv_header_allParam_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_allParam_h" >&5
-echo "${ECHO_T}$ac_cv_header_allParam_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking allParam.h usability" >&5
-echo $ECHO_N "checking allParam.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
+if test "$ac_cv_search_fdmgr_add_fd" = no; then
+ for ac_lib in Com; do
+ LIBS="-l$ac_lib -lm $ac_func_search_save_LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-$ac_includes_default
-#include <allParam.h>
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char fdmgr_add_fd ();
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+fdmgr_add_fd ();
+ ;
+ return 0;
+}
_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
+ { ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_header_compiler=yes
+ ac_cv_search_fdmgr_add_fd="-l$ac_lib"
+break
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-ac_header_compiler=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking allParam.h presence" >&5
-echo $ECHO_N "checking allParam.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <allParam.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: allParam.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: allParam.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: allParam.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: allParam.h: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: allParam.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: allParam.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: allParam.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: allParam.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: allParam.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: allParam.h: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for allParam.h" >&5
-echo $ECHO_N "checking for allParam.h... $ECHO_C" >&6
-if test "${ac_cv_header_allParam_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header_allParam_h=$ac_header_preproc
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ done
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_allParam_h" >&5
-echo "${ECHO_T}$ac_cv_header_allParam_h" >&6
-
+LIBS=$ac_func_search_save_LIBS
fi
+echo "$as_me:$LINENO: result: $ac_cv_search_fdmgr_add_fd" >&5
+echo "${ECHO_T}$ac_cv_search_fdmgr_add_fd" >&6
+if test "$ac_cv_search_fdmgr_add_fd" != no; then
+ test "$ac_cv_search_fdmgr_add_fd" = "none required" || LIBS="$ac_cv_search_fdmgr_add_fd $LIBS"
-
-
-
-if test "x$enable_server" = "xyes"
-then
-
-#
-# This is a weird method to check the epics version, but ask them for
-# a better way ...
-#
-echo "$as_me:$LINENO: checking whether we have a valid epics release" >&5
-echo $ECHO_N "checking whether we have a valid epics release... $ECHO_C" >&6
-
-if test -x "$with_epics/startup/EpicsHostArch"
-then
-epics_release="314"
-
-echo "$as_me:$LINENO: result: $epics_release" >&5
-echo "${ECHO_T}$epics_release" >&6
-cat >>confdefs.h <<\_ACEOF
-#define EPICS_RELEASE 314
-_ACEOF
-
-
-EPICS_HOST_ARCH=$($with_epics/startup/EpicsHostArch)
-HOST_ARCH=$($with_epics/startup/HostArch)
-elif test -x "$with_epics/startup/HostArch"
-then
-epics_release="313"
-
-echo "$as_me:$LINENO: result: $epics_release" >&5
-echo "${ECHO_T}$epics_release" >&6
-cat >>confdefs.h <<\_ACEOF
-#define EPICS_RELEASE 313
-_ACEOF
-
-
-HOST_ARCH=$($with_epics/startup/HostArch)
else
-
-echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-{ { echo "$as_me:$LINENO: error: Missing valid EPICS version" >&5
-echo "$as_me: error: Missing valid EPICS version" >&2;}
- { (exit 1); exit 1; }; }
-
+ LIBS="-lCom $LIBS"
fi
-CPPFLAGS="$CPPFLAGS -I$with_epics/include"
-if test "x$epics_release" = "x314"
-then
-LDFLAGS="$LDFLAGS -L$with_epics/lib/$EPICS_HOST_ARCH"
-CPPFLAGS="$CPPFLAGS -I$with_epics/include/os/$HOST_ARCH"
-else
-LDFLAGS="$LDFLAGS -L$with_epics/lib/$HOST_ARCH"
-CPPFLAGS="$CPPFLAGS -I$with_epics/include/os/$HOST_ARCH"
+
fi
-echo "$as_me:$LINENO: checking for library containing fdmgr_add_fd" >&5
-echo $ECHO_N "checking for library containing fdmgr_add_fd... $ECHO_C" >&6
-if test "${ac_cv_search_fdmgr_add_fd+set}" = set; then
+echo "$as_me:$LINENO: checking for library containing ca_array_get" >&5
+echo $ECHO_N "checking for library containing ca_array_get... $ECHO_C" >&6
+if test "${ac_cv_search_ca_array_get+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_func_search_save_LIBS=$LIBS
-ac_cv_search_fdmgr_add_fd=no
+ac_cv_search_ca_array_get=no
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char fdmgr_add_fd ();
+char ca_array_get ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-fdmgr_add_fd ();
+ca_array_get ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_fdmgr_add_fd="none required"
+ ac_cv_search_ca_array_get="none required"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_fdmgr_add_fd" = no; then
- for ac_lib in Com; do
+if test "$ac_cv_search_ca_array_get" = no; then
+ for ac_lib in ca; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char fdmgr_add_fd ();
+char ca_array_get ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-fdmgr_add_fd ();
+ca_array_get ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_fdmgr_add_fd="-l$ac_lib"
+ ac_cv_search_ca_array_get="-l$ac_lib"
break
else
echo "$as_me: failed program was:" >&5
fi
LIBS=$ac_func_search_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_search_fdmgr_add_fd" >&5
-echo "${ECHO_T}$ac_cv_search_fdmgr_add_fd" >&6
-if test "$ac_cv_search_fdmgr_add_fd" != no; then
- test "$ac_cv_search_fdmgr_add_fd" = "none required" || LIBS="$ac_cv_search_fdmgr_add_fd $LIBS"
+echo "$as_me:$LINENO: result: $ac_cv_search_ca_array_get" >&5
+echo "${ECHO_T}$ac_cv_search_ca_array_get" >&6
+if test "$ac_cv_search_ca_array_get" != no; then
+ test "$ac_cv_search_ca_array_get" = "none required" || LIBS="$ac_cv_search_ca_array_get $LIBS"
fi
-if test "x$ac_cv_search_fdmgr_add_fd" = "xno"
+if test "x$ac_cv_search_ca_array_get" = "xno"
then
- unset ac_cv_search_fdmgr_add_fd
+ unset ac_cv_search_ca_array_get
- echo "$as_me:$LINENO: checking for library containing fdmgr_add_fd" >&5
-echo $ECHO_N "checking for library containing fdmgr_add_fd... $ECHO_C" >&6
-if test "${ac_cv_search_fdmgr_add_fd+set}" = set; then
+ echo "$as_me:$LINENO: checking for library containing ca_array_get" >&5
+echo $ECHO_N "checking for library containing ca_array_get... $ECHO_C" >&6
+if test "${ac_cv_search_ca_array_get+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_func_search_save_LIBS=$LIBS
-ac_cv_search_fdmgr_add_fd=no
+ac_cv_search_ca_array_get=no
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char fdmgr_add_fd ();
+char ca_array_get ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-fdmgr_add_fd ();
+ca_array_get ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_fdmgr_add_fd="none required"
+ ac_cv_search_ca_array_get="none required"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_fdmgr_add_fd" = no; then
- for ac_lib in Com; do
+if test "$ac_cv_search_ca_array_get" = no; then
+ for ac_lib in ca; do
LIBS="-l$ac_lib -lm $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char fdmgr_add_fd ();
+char ca_array_get ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-fdmgr_add_fd ();
+ca_array_get ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_fdmgr_add_fd="-l$ac_lib"
+ ac_cv_search_ca_array_get="-l$ac_lib"
break
else
echo "$as_me: failed program was:" >&5
fi
LIBS=$ac_func_search_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_search_fdmgr_add_fd" >&5
-echo "${ECHO_T}$ac_cv_search_fdmgr_add_fd" >&6
-if test "$ac_cv_search_fdmgr_add_fd" != no; then
- test "$ac_cv_search_fdmgr_add_fd" = "none required" || LIBS="$ac_cv_search_fdmgr_add_fd $LIBS"
+echo "$as_me:$LINENO: result: $ac_cv_search_ca_array_get" >&5
+echo "${ECHO_T}$ac_cv_search_ca_array_get" >&6
+if test "$ac_cv_search_ca_array_get" != no; then
+ test "$ac_cv_search_ca_array_get" = "none required" || LIBS="$ac_cv_search_ca_array_get $LIBS"
else
- LIBS="-lCom $LIBS"
+ LIBS="-lca $LIBS"
fi
fi
-echo "$as_me:$LINENO: checking for library containing ca_array_get" >&5
-echo $ECHO_N "checking for library containing ca_array_get... $ECHO_C" >&6
-if test "${ac_cv_search_ca_array_get+set}" = set; then
+
+echo "$as_me:$LINENO: checking for library containing Tcl_CreateInterp" >&5
+echo $ECHO_N "checking for library containing Tcl_CreateInterp... $ECHO_C" >&6
+if test "${ac_cv_search_Tcl_CreateInterp+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_func_search_save_LIBS=$LIBS
-ac_cv_search_ca_array_get=no
+ac_cv_search_Tcl_CreateInterp=no
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char ca_array_get ();
+char Tcl_CreateInterp ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-ca_array_get ();
+Tcl_CreateInterp ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_ca_array_get="none required"
+ ac_cv_search_Tcl_CreateInterp="none required"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_ca_array_get" = no; then
- for ac_lib in ca; do
+if test "$ac_cv_search_Tcl_CreateInterp" = no; then
+ for ac_lib in tcl tcl8.3 tcl8.2 tcl8.0 tcl7.4; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char ca_array_get ();
+char Tcl_CreateInterp ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-ca_array_get ();
+Tcl_CreateInterp ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_ca_array_get="-l$ac_lib"
+ ac_cv_search_Tcl_CreateInterp="-l$ac_lib"
break
else
echo "$as_me: failed program was:" >&5
fi
LIBS=$ac_func_search_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_search_ca_array_get" >&5
-echo "${ECHO_T}$ac_cv_search_ca_array_get" >&6
-if test "$ac_cv_search_ca_array_get" != no; then
- test "$ac_cv_search_ca_array_get" = "none required" || LIBS="$ac_cv_search_ca_array_get $LIBS"
+echo "$as_me:$LINENO: result: $ac_cv_search_Tcl_CreateInterp" >&5
+echo "${ECHO_T}$ac_cv_search_Tcl_CreateInterp" >&6
+if test "$ac_cv_search_Tcl_CreateInterp" != no; then
+ test "$ac_cv_search_Tcl_CreateInterp" = "none required" || LIBS="$ac_cv_search_Tcl_CreateInterp $LIBS"
fi
-if test "x$ac_cv_search_ca_array_get" = "xno"
+as_ac_Lib=`echo "ac_cv_lib_caParam$pthread''_conSetupParam" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for conSetupParam in -lcaParam$pthread" >&5
+echo $ECHO_N "checking for conSetupParam in -lcaParam$pthread... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Lib+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lcaParam$pthread $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char conSetupParam ();
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+conSetupParam ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_Lib=yes"
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+eval "$as_ac_Lib=no"
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_LIBcaParam$pthread" | $as_tr_cpp` 1
+_ACEOF
+
+ LIBS="-lcaParam$pthread $LIBS"
+
+fi
+
+
+
+elif test "x$enable_paramsrc" = "xfile"
then
- unset ac_cv_search_ca_array_get
- echo "$as_me:$LINENO: checking for library containing ca_array_get" >&5
-echo $ECHO_N "checking for library containing ca_array_get... $ECHO_C" >&6
-if test "${ac_cv_search_ca_array_get+set}" = set; then
+echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+as_ac_Lib=`echo "ac_cv_lib_fileParam$pthread''_conSetupParam" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for conSetupParam in -lfileParam$pthread" >&5
+echo $ECHO_N "checking for conSetupParam in -lfileParam$pthread... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Lib+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- ac_func_search_save_LIBS=$LIBS
-ac_cv_search_ca_array_get=no
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lfileParam$pthread $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char ca_array_get ();
+char conSetupParam ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-ca_array_get ();
+conSetupParam ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_ca_array_get="none required"
+ eval "$as_ac_Lib=yes"
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+eval "$as_ac_Lib=no"
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_LIBfileParam$pthread" | $as_tr_cpp` 1
+_ACEOF
+
+ LIBS="-lfileParam$pthread $LIBS"
+
+fi
+
+
+
+elif test "x$enable_paramsrc" = "xora"
+then
+
+echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+#
+# Zero-order ...
+#
+echo "$as_me:$LINENO: checking whether we have a valid oracle home" >&5
+echo $ECHO_N "checking whether we have a valid oracle home... $ECHO_C" >&6
+
+if test -d "$with_oracle/"
+then
+LDFLAGS="-L$with_oracle/lib $LDFLAGS"
+
+echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+else
+
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+{ { echo "$as_me:$LINENO: error: Missing valid Oracle" >&5
+echo "$as_me: error: Missing valid Oracle" >&2;}
+ { (exit 1); exit 1; }; }
+
+fi
+
+
+echo "$as_me:$LINENO: checking for library containing sqlcxt" >&5
+echo $ECHO_N "checking for library containing sqlcxt... $ECHO_C" >&6
+if test "${ac_cv_search_sqlcxt+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_ca_array_get" = no; then
- for ac_lib in ca; do
- LIBS="-l$ac_lib -lm $ac_func_search_save_LIBS"
- cat >conftest.$ac_ext <<_ACEOF
+ ac_func_search_save_LIBS=$LIBS
+ac_cv_search_sqlcxt=no
+cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char ca_array_get ();
+char sqlcxt ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-ca_array_get ();
+sqlcxt ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_ca_array_get="-l$ac_lib"
-break
+ ac_cv_search_sqlcxt="none required"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- done
-fi
-LIBS=$ac_func_search_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_search_ca_array_get" >&5
-echo "${ECHO_T}$ac_cv_search_ca_array_get" >&6
-if test "$ac_cv_search_ca_array_get" != no; then
- test "$ac_cv_search_ca_array_get" = "none required" || LIBS="$ac_cv_search_ca_array_get $LIBS"
-
-else
- LIBS="-lca $LIBS"
-fi
-
-
-fi
-
-
-
- echo "$as_me:$LINENO: checking for library containing getprotobyname" >&5
-echo $ECHO_N "checking for library containing getprotobyname... $ECHO_C" >&6
-if test "${ac_cv_search_getprotobyname+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_func_search_save_LIBS=$LIBS
-ac_cv_search_getprotobyname=no
-cat >conftest.$ac_ext <<_ACEOF
+if test "$ac_cv_search_sqlcxt" = no; then
+ for ac_lib in clntsh; do
+ LIBS="-l$ac_lib $ac_func_search_save_LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char getprotobyname ();
+char sqlcxt ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-getprotobyname ();
+sqlcxt ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_getprotobyname="none required"
+ ac_cv_search_sqlcxt="-l$ac_lib"
+break
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_getprotobyname" = no; then
- for ac_lib in netinet; do
- LIBS="-l$ac_lib $ac_func_search_save_LIBS"
- cat >conftest.$ac_ext <<_ACEOF
+ done
+fi
+LIBS=$ac_func_search_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_search_sqlcxt" >&5
+echo "${ECHO_T}$ac_cv_search_sqlcxt" >&6
+if test "$ac_cv_search_sqlcxt" != no; then
+ test "$ac_cv_search_sqlcxt" = "none required" || LIBS="$ac_cv_search_sqlcxt $LIBS"
+
+fi
+
+
+as_ac_Lib=`echo "ac_cv_lib_oraParam$pthread''_conSetupParam" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for conSetupParam in -loraParam$pthread" >&5
+echo $ECHO_N "checking for conSetupParam in -loraParam$pthread... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Lib+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-loraParam$pthread $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char getprotobyname ();
+char conSetupParam ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-getprotobyname ();
+conSetupParam ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_getprotobyname="-l$ac_lib"
-break
+ eval "$as_ac_Lib=yes"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
+eval "$as_ac_Lib=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- done
-fi
-LIBS=$ac_func_search_save_LIBS
+LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_search_getprotobyname" >&5
-echo "${ECHO_T}$ac_cv_search_getprotobyname" >&6
-if test "$ac_cv_search_getprotobyname" != no; then
- test "$ac_cv_search_getprotobyname" = "none required" || LIBS="$ac_cv_search_getprotobyname $LIBS"
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_LIBoraParam$pthread" | $as_tr_cpp` 1
+_ACEOF
+
+ LIBS="-loraParam$pthread $LIBS"
fi
- echo "$as_me:$LINENO: checking for library containing syslog" >&5
-echo $ECHO_N "checking for library containing syslog... $ECHO_C" >&6
-if test "${ac_cv_search_syslog+set}" = set; then
+
+
+elif test "x$enable_paramsrc" = "xtcl"
+then
+
+echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+echo "$as_me:$LINENO: checking for library containing Tcl_CreateInterp" >&5
+echo $ECHO_N "checking for library containing Tcl_CreateInterp... $ECHO_C" >&6
+if test "${ac_cv_search_Tcl_CreateInterp+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_func_search_save_LIBS=$LIBS
-ac_cv_search_syslog=no
+ac_cv_search_Tcl_CreateInterp=no
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char syslog ();
+char Tcl_CreateInterp ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-syslog ();
+Tcl_CreateInterp ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_syslog="none required"
+ ac_cv_search_Tcl_CreateInterp="none required"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_syslog" = no; then
- for ac_lib in netinet; do
+if test "$ac_cv_search_Tcl_CreateInterp" = no; then
+ for ac_lib in tcl tcl8.3 tcl8.2 tcl8.0 tcl7.4; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char syslog ();
+char Tcl_CreateInterp ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-syslog ();
+Tcl_CreateInterp ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_syslog="-l$ac_lib"
+ ac_cv_search_Tcl_CreateInterp="-l$ac_lib"
break
else
echo "$as_me: failed program was:" >&5
fi
LIBS=$ac_func_search_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_search_syslog" >&5
-echo "${ECHO_T}$ac_cv_search_syslog" >&6
-if test "$ac_cv_search_syslog" != no; then
- test "$ac_cv_search_syslog" = "none required" || LIBS="$ac_cv_search_syslog $LIBS"
+echo "$as_me:$LINENO: result: $ac_cv_search_Tcl_CreateInterp" >&5
+echo "${ECHO_T}$ac_cv_search_Tcl_CreateInterp" >&6
+if test "$ac_cv_search_Tcl_CreateInterp" != no; then
+ test "$ac_cv_search_Tcl_CreateInterp" = "none required" || LIBS="$ac_cv_search_Tcl_CreateInterp $LIBS"
fi
-echo "$as_me:$LINENO: checking for SYSLOG_syslog in -lcompat" >&5
-echo $ECHO_N "checking for SYSLOG_syslog in -lcompat... $ECHO_C" >&6
-if test "${ac_cv_lib_compat_SYSLOG_syslog+set}" = set; then
+as_ac_Lib=`echo "ac_cv_lib_tclParam$pthread''_conSetupParam" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for conSetupParam in -ltclParam$pthread" >&5
+echo $ECHO_N "checking for conSetupParam in -ltclParam$pthread... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Lib+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lcompat $LIBS"
+LIBS="-ltclParam$pthread $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char SYSLOG_syslog ();
+char conSetupParam ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
int
main ()
{
-SYSLOG_syslog ();
+conSetupParam ();
;
return 0;
}
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_lib_compat_SYSLOG_syslog=yes
+ eval "$as_ac_Lib=yes"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-ac_cv_lib_compat_SYSLOG_syslog=no
+eval "$as_ac_Lib=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_compat_SYSLOG_syslog" >&5
-echo "${ECHO_T}$ac_cv_lib_compat_SYSLOG_syslog" >&6
-if test $ac_cv_lib_compat_SYSLOG_syslog = yes; then
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBCOMPAT 1
+#define `echo "HAVE_LIBtclParam$pthread" | $as_tr_cpp` 1
_ACEOF
- LIBS="-lcompat $LIBS"
+ LIBS="-ltclParam$pthread $LIBS"
fi
- if test "x$epics_release" = "x313"
- then
- LDFLAGS="-L$with_epics/lib/$HOST_ARCH $LDFLAGS"
- elif test "x$epics_release" = "x314"
- then
- LDFLAGS="-L$with_epics/lib/$EPICS_HOST_ARCH $LDFLAGS"
- fi
- LIBS="-lcas -lgdd $LIBS"
- if test "${ac_cv_header_aitTypes_h+set}" = set; then
- echo "$as_me:$LINENO: checking for aitTypes.h" >&5
-echo $ECHO_N "checking for aitTypes.h... $ECHO_C" >&6
-if test "${ac_cv_header_aitTypes_h+set}" = set; then
+else
+
+echo "$as_me:$LINENO: result: invalid param source $enable_paramsrc" >&5
+echo "${ECHO_T}invalid param source $enable_paramsrc" >&6
+{ { echo "$as_me:$LINENO: error: cannot get parameter source for pas and test program" >&5
+echo "$as_me: error: cannot get parameter source for pas and test program" >&2;}
+ { (exit 1); exit 1; }; }
+
+fi
+#
+# Last but not least we need the header file ...
+#
+
+if test "${ac_cv_header_allParam_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for allParam.h" >&5
+echo $ECHO_N "checking for allParam.h... $ECHO_C" >&6
+if test "${ac_cv_header_allParam_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_aitTypes_h" >&5
-echo "${ECHO_T}$ac_cv_header_aitTypes_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_allParam_h" >&5
+echo "${ECHO_T}$ac_cv_header_allParam_h" >&6
else
# Is the header compilable?
-echo "$as_me:$LINENO: checking aitTypes.h usability" >&5
-echo $ECHO_N "checking aitTypes.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking allParam.h usability" >&5
+echo $ECHO_N "checking allParam.h usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
$ac_includes_default
-#include <aitTypes.h>
+#include <allParam.h>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
echo "${ECHO_T}$ac_header_compiler" >&6
# Is the header present?
-echo "$as_me:$LINENO: checking aitTypes.h presence" >&5
-echo $ECHO_N "checking aitTypes.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking allParam.h presence" >&5
+echo $ECHO_N "checking allParam.h presence... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-#include <aitTypes.h>
+#include <allParam.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc in
yes:no )
- { echo "$as_me:$LINENO: WARNING: aitTypes.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: aitTypes.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&2;};;
+ { echo "$as_me:$LINENO: WARNING: allParam.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: allParam.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: allParam.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: allParam.h: proceeding with the preprocessor's result" >&2;};;
no:yes )
- { echo "$as_me:$LINENO: WARNING: aitTypes.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: aitTypes.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: aitTypes.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: aitTypes.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&2;};;
+ { echo "$as_me:$LINENO: WARNING: allParam.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: allParam.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: allParam.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: allParam.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: allParam.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: allParam.h: proceeding with the preprocessor's result" >&2;};;
esac
-echo "$as_me:$LINENO: checking for aitTypes.h" >&5
-echo $ECHO_N "checking for aitTypes.h... $ECHO_C" >&6
-if test "${ac_cv_header_aitTypes_h+set}" = set; then
+echo "$as_me:$LINENO: checking for allParam.h" >&5
+echo $ECHO_N "checking for allParam.h... $ECHO_C" >&6
+if test "${ac_cv_header_allParam_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- ac_cv_header_aitTypes_h=$ac_header_preproc
+ ac_cv_header_allParam_h=$ac_header_preproc
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_aitTypes_h" >&5
-echo "${ECHO_T}$ac_cv_header_aitTypes_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_allParam_h" >&5
+echo "${ECHO_T}$ac_cv_header_allParam_h" >&6
fi
-if test $ac_cv_header_aitTypes_h = yes; then
- :
-else
- { { echo "$as_me:$LINENO: error: Missing header file" >&5
-echo "$as_me: error: Missing header file" >&2;}
- { (exit 1); exit 1; }; }
-fi
-fi
+
echo "$as_me:$LINENO: checking for ANSI C header files" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6